Bug 1302680 (CVE-2016-1927) - CVE-2016-1927 phpMyAdmin: Insecure password generation in JavaScript (PMASA-2016-4)
Summary: CVE-2016-1927 phpMyAdmin: Insecure password generation in JavaScript (PMASA-2...
Status: CLOSED ERRATA
Alias: CVE-2016-1927
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: Unspecified
OS: All
low
low
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard: impact=low,public=20160128,reported=2...
Keywords: Security
Depends On: 1302790 1302791 1302792
Blocks:
TreeView+ depends on / blocked
 
Reported: 2016-01-28 11:38 UTC by Robert Scheck
Modified: 2016-11-28 14:47 UTC (History)
11 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2016-11-28 14:47:45 UTC


Attachments (Terms of Use)

Description Robert Scheck 2016-01-28 11:38:05 UTC
Description:
Password suggestion functionality uses Math.random() which does not provide 
cryptographically secure random numbers.

External References:
https://www.phpmyadmin.net/security/PMASA-2016-4/

Comment 2 Adam Mariš 2016-01-28 16:17:01 UTC
Created phpMyAdmin tracking bugs for this issue:

Affects: fedora-all [bug 1302790]
Affects: epel-all [bug 1302791]

Comment 3 Fedora Update System 2016-02-01 06:20:22 UTC
phpMyAdmin-4.5.4-1.fc22 has been pushed to the Fedora 22 stable repository. If problems still persist, please make note of it in this bug report.

Comment 4 Fedora Update System 2016-02-03 20:50:12 UTC
phpMyAdmin-4.5.4.1-1.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 5 Fedora Update System 2016-02-17 01:57:02 UTC
phpMyAdmin-4.4.15.4-1.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Comment 6 Fedora Update System 2016-02-17 02:27:24 UTC
phpMyAdmin-4.0.10.14-1.el6 has been pushed to the Fedora EPEL 6 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.